Bug 59242 - XFree 4.2-0.6.1 for RH7.2 DRM fails
XFree 4.2-0.6.1 for RH7.2 DRM fails
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-03 14:42 EST by Jes Sorensen
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-11 07:44:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2002-02-03 14:42:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
On an i815 based box I applied the kernel DRM patch from RawHid to my 
2.4.18pre2 kernel, installed the XFree-4.2-0.6.1 RPMS from
people.redhat.com/mharris/testing/XFree86/i386 - however while the new
DRM interface initializes I get the below message and DRM will not
work (in tuxracer):

Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 93M
agpgart: agpgart: Detected an Intel i815 Chipset.
agpgart: AGP aperture is 64M @ 0xf8000000
[drm] AGP 0.99 on Intel i810 @ 0xf8000000 64MB
[drm] Initialized i810 1.2.0 20010920 on minor 0
mtrr: base(0xf8000000) is not aligned on a size(0x180000) boundary
mtrr: base(0xf8000000) is not aligned on a size(0x180000) boundary
[drm:i810_flush_queue] *ERROR* lockup




Version-Release number of selected component (if applicable):


How reproducible:
Always
	

Additional info:
Comment 1 Mike A. Harris 2002-02-03 18:11:28 EST
Please try the binary rawhide kernel, and see if that works.  If not,
please provide the X config file you're using, the X server log and
/var/log/messages from after a crash.  use the bugzilla file
attachment feature below.

Thanks.
Comment 2 Mike A. Harris 2002-02-09 12:38:41 EST
My latest XFree86 contains additional fixes for i810, in the X side driver,
funny enough... same stupid bug as in the kernel DRM - a null for loop
used as a delay, which gets optimized away by the compiler.  Replaced it
with a udelay(1).

Let me know if 4.2.0-6.30 fixes it for you Jes.  If not, please attach
your full X log and config below with bugzilla's file-attach.

Hopefully this was the problem.
Comment 3 Jes Sorensen 2002-02-11 07:44:30 EST
4.2.0-6.30 seems to solve the problem, at least tuxracer works again ;-)
Comment 4 Mike A. Harris 2002-02-11 08:03:09 EST
Thanks Jes, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.